net.minecraft.world.biome

## Class WorldChunkManagerHell

- java.lang.Object
- - net.minecraft.world.biome.WorldChunkManager
  - - net.minecraft.world.biome.WorldChunkManagerHell

-     public class WorldChunkManagerHell
      extends WorldChunkManager

- - ### Field Summary

    - ### Fields inherited from class net.minecraft.world.biome.WorldChunkManager

      `allowedBiomes`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorldChunkManagerHell(BiomeGenBase par1BiomeGenBase, float par2, float par3)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `areBiomesViable(int par1, int par2, int par3, List par4List)` checks given Chunk's Biomes against List of allowed ones
    `ChunkPosition` | `findBiomePosition(int par1, int par2, int par3, List par4List, Random par5Random)` Finds a valid position within a range, that is in one of the listed biomes.
    `BiomeGenBase[]` | `getBiomeGenAt(BiomeGenBase[] par1ArrayOfBiomeGenBase, int par2, int par3, int par4, int par5, boolean par6)` Return a list of biomes for the specified blocks.
    `BiomeGenBase` | `getBiomeGenAt(int par1, int par2)` Returns the BiomeGenBase related to the x, z position on the world.
    `BiomeGenBase[]` | `getBiomesForGeneration(BiomeGenBase[] par1ArrayOfBiomeGenBase, int par2, int par3, int par4, int par5)` Returns an array of biomes for the location input.
    `float[]` | `getRainfall(float[] par1ArrayOfFloat, int par2, int par3, int par4, int par5)` Returns a list of rainfall values for the specified blocks.
    `float[]` | `getTemperatures(float[] par1ArrayOfFloat, int par2, int par3, int par4, int par5)` Returns a list of temperatures to use for the specified blocks.
    `BiomeGenBase[]` | `loadBlockGeneratorData(BiomeGenBase[] par1ArrayOfBiomeGenBase, int par2, int par3, int par4, int par5)` Returns biomes to use for the blocks and loads the other data like temperature and humidity onto the WorldChunkManager Args: oldBiomeList, x, z, width, depth

    - ### Methods inherited from class net.minecraft.world.biome.WorldChunkManager

      `cleanupCache, getBiomesToSpawnIn, getModdedBiomeGenerators, getTemperatureAtHeight`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WorldChunkManagerHell

          public WorldChunkManagerHell(BiomeGenBase par1BiomeGenBase,
                               float par2,
                               float par3)

  - ### Method Detail

    - #### getBiomeGenAt

          public BiomeGenBase getBiomeGenAt(int par1,
                                   int par2)

      Returns the BiomeGenBase related to the x, z position on the world.
      Overrides:
        `getBiomeGenAt` in class `WorldChunkManager`

    - #### getBiomesForGeneration

          public BiomeGenBase[] getBiomesForGeneration(BiomeGenBase[] par1ArrayOfBiomeGenBase,
                                              int par2,
                                              int par3,
                                              int par4,
                                              int par5)

      Returns an array of biomes for the location input.
      Overrides:
        `getBiomesForGeneration` in class `WorldChunkManager`

    - #### getTemperatures

          public float[] getTemperatures(float[] par1ArrayOfFloat,
                                int par2,
                                int par3,
                                int par4,
                                int par5)

      Returns a list of temperatures to use for the specified blocks. Args: listToReuse, x, y, width, length
      Overrides:
        `getTemperatures` in class `WorldChunkManager`

    - #### getRainfall

          public float[] getRainfall(float[] par1ArrayOfFloat,
                            int par2,
                            int par3,
                            int par4,
                            int par5)

      Returns a list of rainfall values for the specified blocks. Args: listToReuse, x, z, width, length.
      Overrides:
        `getRainfall` in class `WorldChunkManager`

    - #### loadBlockGeneratorData

          public BiomeGenBase[] loadBlockGeneratorData(BiomeGenBase[] par1ArrayOfBiomeGenBase,
                                              int par2,
                                              int par3,
                                              int par4,
                                              int par5)

      Returns biomes to use for the blocks and loads the other data like temperature and humidity onto the WorldChunkManager Args: oldBiomeList, x, z, width, depth
      Overrides:
        `loadBlockGeneratorData` in class `WorldChunkManager`

    - #### getBiomeGenAt

          public BiomeGenBase[] getBiomeGenAt(BiomeGenBase[] par1ArrayOfBiomeGenBase,
                                     int par2,
                                     int par3,
                                     int par4,
                                     int par5,
                                     boolean par6)

      Return a list of biomes for the specified blocks. Args: listToReuse, x, y, width, length, cacheFlag (if false, don't check biomeCache to avoid infinite loop in BiomeCacheBlock)
      Overrides:
        `getBiomeGenAt` in class `WorldChunkManager`

    - #### findBiomePosition

          public ChunkPosition findBiomePosition(int par1,
                                        int par2,
                                        int par3,
                                        List par4List,
                                        Random par5Random)

      Finds a valid position within a range, that is in one of the listed biomes. Searches {par1,par2} +-par3 blocks. Strongly favors positive y positions.
      Overrides:
        `findBiomePosition` in class `WorldChunkManager`

    - #### areBiomesViable

          public boolean areBiomesViable(int par1,
                                int par2,
                                int par3,
                                List par4List)

      checks given Chunk's Biomes against List of allowed ones
      Overrides:
        `areBiomesViable` in class `WorldChunkManager`